# soap_smd_data Struct Reference

The smdevp engine context data. More...

`#include <smdevp.h>`

List of all members.

## Public Attributes

int | alg
void * | ctx
const void * | key
int(* | fsend )(struct soap *, const char *, size_t)
size_t(* | frecv )(struct soap *, char *, size_t)
soap_mode | mode
void * | user

## Detailed Description

The smdevp engine context data.

## Member Data Documentation

int soap_smd_data::alg

| The digest or signature algorithm used

void* soap_smd_data::ctx

| EVP_MD_CTX or HMAC_CTX

size_t(* soap_smd_data::frecv)(struct soap *, char *, size_t)

int(* soap_smd_data::fsend)(struct soap *, const char *, size_t)

const void* soap_smd_data::key

| EVP_PKEY

soap_mode soap_smd_data::mode

void* soap_smd_data::user

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/plugin/smdevp.h